ECHO "+====================================================================+"
ECHO "+ Build ReDMCSB executable files for Amiga                           +"
ECHO "+====================================================================+"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "+====================================================================+"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "+ Build ReDMCSB executable files for Amiga                           +"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "+====================================================================+"
;
CD ReDMCSB:SOURCE
;
IF EXISTS ReDMCSB:SOURCE/EXEID0.TXT
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A20E\BOOTSECT.BIN"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A20E\BOOTSECT.BIN"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
EXECUTE MKAABIN.BAT BOOTSECT.C A20E BOOTSECT.BIN "-DEXEID=0"
ENDIF
;
IF EXISTS ReDMCSB:SOURCE/EXEID3.TXT
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A20E\GRAPH21.BIN"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A20E\GRAPH21.BIN"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
EXECUTE MKAABIN.BAT GRAPH21.C  A20E GRAPH21.BIN  "-DEXEID=3"
ENDIF
;
IF EXISTS ReDMCSB:SOURCE/EXEID4.TXT
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A20E\GRAPH538.BIN"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A20E\GRAPH538.BIN"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
EXECUTE MKAABIN.BAT GRAPH538.C A20E GRAPH538.BIN "-DEXEID=4"
ENDIF
;
IF EXISTS ReDMCSB:SOURCE/EXEID5.TXT
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A20E\GRAPH548.BIN"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A20E\GRAPH548.BIN"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
EXECUTE MKAABIN.BAT GRAPH548.C A20E GRAPH548.BIN "-DEXEID=5"
ENDIF
;
IF EXISTS ReDMCSB:SOURCE/EXEID6.TXT
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A20E\ReadMe"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A20E\ReadMe"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO "----- A20E\ReadMe Compile README.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20E\ReadMe Compile README.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at README.C   -DEXEID=6 -O ReDMCSB:OBJECT/A20E/ReadMe/README.ASM
ECHO "----- A20E\ReadMe Assemble README.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20E\ReadMe Assemble README.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A20E/ReadMe/README.ASM -O ReDMCSB:OBJECT/A20E/ReadMe/README.O
ECHO "----- A20E\ReadMe Link"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20E\ReadMe Link"
LN >>ReDMCSB:BUILD/MKAA.LOG -t -v ReDMCSB:OBJECT/A20E/ReadMe/README.O ReDMCSB:AztecC/lib/c.lib -o ReDMCSB:BUILD/A20E/ReadMe
ENDIF
;
IF EXISTS ReDMCSB:SOURCE/EXEID2.TXT
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A20E\exec"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A20E\exec"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO "----- A20E\exec Compile EXEC.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20E\exec Compile EXEC.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at EXEC.C     -DEXEID=2 -O ReDMCSB:OBJECT/A20E/exec/EXEC.ASM
ECHO "----- A20E\exec Assemble EXEC.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20E\exec Assemble EXEC.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A20E/exec/EXEC.ASM -O ReDMCSB:OBJECT/A20E/exec/EXEC.O
ECHO "----- A20E\exec Link"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20E\exec Link"
LN >>ReDMCSB:BUILD/MKAA.LOG -t -v ReDMCSB:OBJECT/A20E/exec/EXEC.O ReDMCSB:AztecC/lib/c.lib -o ReDMCSB:BUILD/A20E/exec
ENDIF
;
IF EXISTS ReDMCSB:SOURCE/EXEID14.TXT
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A21E\exec"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A21E\exec"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO "----- A21E\exec Compile EXEC.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A21E\exec Compile EXEC.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include       -at EXEC.C     -DEXEID=14 -O ReDMCSB:OBJECT/A21E/exec/EXEC.ASM
ECHO "----- A21E\exec Assemble EXEC.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A21E\exec Assemble EXEC.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A21E/exec/EXEC.ASM -O ReDMCSB:OBJECT/A21E/exec/EXEC.O
ECHO "----- A21E\exec Link"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A21E\exec Link"
LN >>ReDMCSB:BUILD/MKAA.LOG -t -v ReDMCSB:OBJECT/A21E/exec/EXEC.O ReDMCSB:AztecC/lib/c.lib -o ReDMCSB:BUILD/A21E/exec
ENDIF
;
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A20ED\swoosh"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A20ED\swoosh"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO "----- A20ED\swoosh Compile _MAIN.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20ED\swoosh Compile _MAIN.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at _MAIN.C   -DEXEID=9 -O ReDMCSB:OBJECT/A20ED/swoosh/_MAIN.ASM
ECHO "----- A20ED\swoosh Assemble _MAIN.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20ED\swoosh Assemble _MAIN.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A20ED/swoosh/_MAIN.ASM -O ReDMCSB:OBJECT/A20ED/swoosh/_MAIN.O
ECHO "----- A20ED\swoosh Compile SWSHSND.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20ED\swoosh Compile SWSHSND.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at SWSHSND.C -DEXEID=9 -O ReDMCSB:OBJECT/A20ED/swoosh/SWSHSND.ASM
ECHO "----- A20ED\swoosh Assemble SWSHSND.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20ED\swoosh Assemble SWSHSND.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A20ED/swoosh/SWSHSND.ASM -O ReDMCSB:OBJECT/A20ED/swoosh/SWSHSND.O
IF EXISTS ReDMCSB:SOURCE/EXEID9.TXT
ECHO "----- A20ED\swoosh Compile SWSH.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20ED\swoosh Compile SWSH.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at SWSH.C    -DEXEID=9 -O ReDMCSB:OBJECT/A20ED/swoosh/SWSH.ASM
ECHO "----- A20ED\swoosh Assemble SWSH.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20ED\swoosh Assemble SWSH.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A20ED/swoosh/SWSH.ASM -O ReDMCSB:OBJECT/A20ED/swoosh/SWSH.O
ECHO "----- A20ED\swoosh Link"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20ED\swoosh Link"
LN >>ReDMCSB:BUILD/MKAA.LOG -t -v ReDMCSB:OBJECT/A20ED/swoosh/_MAIN.O ReDMCSB:OBJECT/A20ED/swoosh/SWSH.O ReDMCSB:OBJECT/A20ED/swoosh/SWSHSND.O ReDMCSB:AztecC/lib/cl.lib -o ReDMCSB:BUILD/A20ED/swoosh
ENDIF
;
IF EXISTS ReDMCSB:SOURCE/EXEID7.TXT
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A20E\swoosh"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A20E\swoosh"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO "----- A20E\swoosh Compile SWSH.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20E\swoosh Compile SWSH.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at SWSH.C   -DEXEID=7 -O ReDMCSB:OBJECT/A20E/swoosh/SWSH.ASM
ECHO "----- A20E\swoosh Assemble SWSH.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20E\swoosh Assemble SWSH.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A20E/swoosh/SWSH.ASM -O ReDMCSB:OBJECT/A20E/swoosh/SWSH.O
ECHO "----- A20E\swoosh Link"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20E\swoosh Link"
LN >>ReDMCSB:BUILD/MKAA.LOG -t -v ReDMCSB:OBJECT/A20ED/swoosh/_MAIN.O ReDMCSB:OBJECT/A20E/swoosh/SWSH.O ReDMCSB:OBJECT/A20ED/swoosh/SWSHSND.O ReDMCSB:AztecC/lib/cl.lib -o ReDMCSB:BUILD/A20E/swoosh
ENDIF
;
IF EXISTS ReDMCSB:SOURCE/EXEID11.TXT
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A20F\swoosh"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A20F\swoosh"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO "----- A20F\swoosh Compile SWSH.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20F\swoosh Compile SWSH.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at SWSH.C   -DEXEID=11 -O ReDMCSB:OBJECT/A20F/swoosh/SWSH.ASM
ECHO "----- A20F\swoosh Assemble SWSH.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20F\swoosh Assemble SWSH.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A20F/swoosh/SWSH.ASM -O ReDMCSB:OBJECT/A20F/swoosh/SWSH.O
ECHO "----- A20F\swoosh Link"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A20F\swoosh Link"
LN >>ReDMCSB:BUILD/MKAA.LOG -t -v ReDMCSB:OBJECT/A20ED/swoosh/_MAIN.O ReDMCSB:OBJECT/A20F/swoosh/SWSH.O ReDMCSB:OBJECT/A20ED/swoosh/SWSHSND.O ReDMCSB:AztecC/lib/cl.lib -o ReDMCSB:BUILD/A20F/swoosh
ENDIF
;
IF EXISTS ReDMCSB:SOURCE/EXEID15.TXT
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A21E\swoosh"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A21E\swoosh"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO "----- A21E\swoosh Compile SWSH.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A21E\swoosh Compile SWSH.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at SWSH.C   -DEXEID=15 -O ReDMCSB:OBJECT/A21E/swoosh/SWSH.ASM
ECHO "----- A21E\swoosh Assemble SWSH.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A21E\swoosh Assemble SWSH.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A21E/swoosh/SWSH.ASM -O ReDMCSB:OBJECT/A21E/swoosh/SWSH.O
ECHO "----- A21E\swoosh Link"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A21E\swoosh Link"
LN >>ReDMCSB:BUILD/MKAA.LOG -t -v ReDMCSB:OBJECT/A20ED/swoosh/_MAIN.O ReDMCSB:OBJECT/A21E/swoosh/SWSH.O ReDMCSB:OBJECT/A20ED/swoosh/SWSHSND.O ReDMCSB:AztecC/lib/cl.lib -o ReDMCSB:BUILD/A21E/swoosh
ENDIF
;
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A31E\BJELoad_R"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A31E\BJELoad_R"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO "----- A31E\BJELoad_R Compile PRIM2A.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A31E\BJELoad_R Compile PRIM2A.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at PRIM2A.C -DEXEID=21 -O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2A.ASM
ECHO "----- A31E\BJELoad_R Assemble PRIM2A.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A31E\BJELoad_R Assemble PRIM2A.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2A.ASM      -O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2A.O
ECHO "----- A31E\BJELoad_R Compile PRIM2B.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A31E\BJELoad_R Compile PRIM2B.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at PRIM2B.C -DEXEID=21 -O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2B.ASM
ECHO "----- A31E\BJELoad_R Assemble PRIM2B.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A31E\BJELoad_R Assemble PRIM2B.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2B.ASM      -O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2B.O
ECHO "----- A31E\BJELoad_R Compile PRIM2STB.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A31E\BJELoad_R Compile PRIM2STB.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at PRIM2STB.C -DEXEID=21 -O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2STB.ASM
ECHO "----- A31E\BJELoad_R Assemble PRIM2STB.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A31E\BJELoad_R Assemble PRIM2STB.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2STB.ASM      -O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2STB.O
ECHO "----- A31E\BJELoad_R Compile _MAINPRI.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A31E\BJELoad_R Compile _MAINPRI.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include    +x3 -at _MAINPRI.C -DEXEID=21 -DDETACH -O ReDMCSB:OBJECT/A31E/BJELoad_R/_MAINPRI.ASM
ECHO "----- A31E\BJELoad_R Assemble _MAINPRI.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A31E\BJELoad_R Assemble _MAINPRI.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A31E/BJELoad_R/_MAINPRI.ASM    -O ReDMCSB:OBJECT/A31E/BJELoad_R/_MAINPRI.O
IF EXISTS ReDMCSB:SOURCE/EXEID21.TXT
ECHO "----- A31E\BJELoad_R Compile PRIM2C.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A31E\BJELoad_R Compile PRIM2C.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at PRIM2C.C -DEXEID=21 -O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2C.ASM
ECHO "----- A31E\BJELoad_R Assemble PRIM2C.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A31E\BJELoad_R Assemble PRIM2C.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2C.ASM -O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2C.O
ECHO "----- A31E\BJELoad_R Link"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A31E\BJELoad_R Link"
LN >>ReDMCSB:BUILD/MKAA.LOG -t -v ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2A.O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2B.O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2C.O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2STB.O ReDMCSB:OBJECT/A31E/BJELoad_R/_MAINPRI.O ReDMCSB:AztecC/lib/c.lib -o ReDMCSB:BUILD/A31E/BJELoad_R
ENDIF
;
IF EXISTS ReDMCSB:SOURCE/EXEID38.TXT
ECHO "----------------------------------------------------------------------"
ECHO "- Build executable A35E\BJELoad_R"
ECHO "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "- Build executable A35E\BJELoad_R"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----------------------------------------------------------------------"
ECHO "----- A35E\BJELoad_R Compile PRIM2C.C"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A35E\BJELoad_R Compile PRIM2C.C"
CC >>ReDMCSB:BUILD/MKAA.LOG -L1000 -E170 -IReDMCSB:AztecC/include +C +D -at PRIM2C.C -DEXEID=38 -O ReDMCSB:OBJECT/A35E/BJELoad_R/PRIM2C.ASM
ECHO "----- A35E\BJELoad_R Assemble PRIM2C.ASM"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A35E\BJELoad_R Assemble PRIM2C.ASM"
AS >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:OBJECT/A35E/BJELoad_R/PRIM2C.ASM -O ReDMCSB:OBJECT/A35E/BJELoad_R/PRIM2C.O
ECHO "----- A35E\BJELoad_R Link"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "----- A35E\BJELoad_R Link"
LN >>ReDMCSB:BUILD/MKAA.LOG -t -v ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2A.O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2B.O ReDMCSB:OBJECT/A35E/BJELoad_R/PRIM2C.O ReDMCSB:OBJECT/A31E/BJELoad_R/PRIM2STB.O ReDMCSB:OBJECT/A31E/BJELoad_R/_MAINPRI.O ReDMCSB:AztecC/lib/c.lib -o ReDMCSB:BUILD/A35E/BJELoad_R
ENDIF
;
; Build game executable files
IF EXISTS ReDMCSB:SOURCE/EXEID8.TXT
EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A20ED dm      A2X.LNK "-DEXEID=8" ""
ENDIF
IF EXISTS ReDMCSB:SOURCE/EXEID1.TXT
EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A20E  dm      A2X.LNK "-DEXEID=1" ""
ENDIF
IF EXISTS ReDMCSB:SOURCE/EXEID10.TXT
EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A20F  dm      A2X.LNK "-DEXEID=10" ""
ENDIF
IF EXISTS ReDMCSB:SOURCE/EXEID12.TXT
EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A20G  dm      A2X.LNK "-DEXEID=12" ""
ENDIF
IF EXISTS ReDMCSB:SOURCE/EXEID13.TXT
EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A21E  dm      A2X.LNK "-DEXEID=13" ""
ENDIF
IF EXISTS ReDMCSB:SOURCE/EXEID16.TXT
EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A22E  dm      A2X.LNK "-DEXEID=16" ""
ENDIF
IF EXISTS ReDMCSB:SOURCE/EXEID17.TXT
EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A22G  dm      A2X.LNK "-DEXEID=17" ""
ENDIF
; Build game executable files without the copy protection
; IF EXISTS ReDMCSB:SOURCE/EXEID1.TXT
; EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A20E  dm_NCP A2X.LNK "-DEXEID=1" "-DNOCOPYPROTECTION=1"
; ENDIF
; IF EXISTS ReDMCSB:SOURCE/EXEID10.TXT
; EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A20F  dm_NCP A2X.LNK "-DEXEID=10" "-DNOCOPYPROTECTION=1"
; ENDIF
; IF EXISTS ReDMCSB:SOURCE/EXEID12.TXT
; EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A20G  dm_NCP A2X.LNK "-DEXEID=12" "-DNOCOPYPROTECTION=1"
; ENDIF
; IF EXISTS ReDMCSB:SOURCE/EXEID13.TXT
; EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A21E  dm_NCP A2X.LNK "-DEXEID=13" "-DNOCOPYPROTECTION=1"
; ENDIF
; IF EXISTS ReDMCSB:SOURCE/EXEID16.TXT
; EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A22E  dm_NCP A2X.LNK "-DEXEID=16" "-DNOCOPYPROTECTION=1"
; ENDIF
; IF EXISTS ReDMCSB:SOURCE/EXEID17.TXT
; EXECUTE >>ReDMCSB:BUILD/MKAA.LOG ReDMCSB:SOURCE/MKAAGAME.BAT A22G  dm_NCP A2X.LNK "-DEXEID=17" "-DNOCOPYPROTECTION=1"
; ENDIF
;
ECHO "+====================================================================+"
ECHO "+ Build complete                                                     +"
ECHO "+====================================================================+"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "=====================================================================+"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "+ Build complete                                                     +"
ECHO >>ReDMCSB:BUILD/MKAA.LOG "=====================================================================+"
